- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_signed_encrypted_elements

## Typedefs
typedef struct rp_signed_encrypted_elements_t | rp_signed_encrypted_elements_t
## Functions
AXIS2_EXTERN rp_signed_encrypted_elements_t * | rp_signed_encrypted_elements_create (const axutil_env_t *env)
AXIS2_EXTERN void | rp_signed_encrypted_elements_free (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | rp_signed_encrypted_elements_get_signedelements (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_elements_set_signedelements (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env, axis2_bool_t signedelements)
AXIS2_EXTERN axutil_array_list_t * | rp_signed_encrypted_elements_get_xpath_expressions (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_elements_add_expression (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env, axis2_char_t *expression)
AXIS2_EXTERN axis2_char_t * | rp_signed_encrypted_elements_get_xpath_version (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_elements_set_xpath_version (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env, axis2_char_t *xpath_version)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_elements_increment_ref (rp_signed_encrypted_elements_t *signed_encrypted_elements, const axutil_env_t *env)